/**
  * HARMONIC MOTION
  * Sketch : wave_01 
  */

float angle;
float amp = 150;

float angleStep = 0.25;
float angleOffset = 0;
float angleOffsetFreq = 0.05;


void setup() {
  size(740, 420);
  background(0);
  noStroke();
}


void draw() {
  background(0);

  for (int x = 100; x <= width-50; x += 50) {
    float y = sin(angle) * amp;
    ellipse(x, height/2 + y, 50, 50);
    angle += angleStep;
  }

  angleOffset+=angleOffsetFreq;
  angle = angleOffset;
}