/**
 * HARMONIC MOTION
 * Sketch : wave_02 
 */


float freq = 0.25;
float amp = 100;
float angle;
float angleStep = 0.15;
float angleOffset = 0;
float angleOffsetFreq = 0.10;


void setup() {
  size(500, 500);
  background(0);
  noStroke();
}


void draw() {
  background(0);

  for (int j = 0; j <= height; j += 50) {
    for (int i = 0; i <= width; i += 50) {
     
      //float x = i+cos(angle) * amp;
      float x = i+cos(angle * freq) * amp;
      float y = j;
      
      ellipse(x, y, 50, 50);
      angle += angleStep;
    }
  }
  
  angleOffset+=angleOffsetFreq;
  angle = angleOffset;
}