/**
 * HARMONIC MOTION
 * Sketch : wave_03
 */


float freq = 0.15;
float amp = 100;
float angle, angleOffset;

void setup() {
  size(500, 500);
  background(0);
  noStroke();
}


void draw() {
  background(0);


  for (int j = 0; j <= height; j += 50) {
    float dia = cos(angle * freq) * 40;
    for (int i = 0; i <= width; i += 50) {      
      float x = i+cos(angle * freq) * amp;
      float y = j;
      //float diaOffSet = map(i, 0, width, -sin(frameCount*0.0015)*25, sin(frameCount*0.0015)*25);
      //ellipse(x, y, dia+diaOffSet, dia+diaOffSet);
      ellipse(x, y, dia, dia);
      angle += 0.25;
    }
  }
  
  angleOffset+=0.1;
  angle = angleOffset;
}