/**
 * HARMONIC MOTION
 * Sketch : wave_04
 */
import controlP5.*;

ControlP5 cp5;
boolean isGUI = true;

float freq;
float amp;
float angle, angleOffset;

int marginX = 100;
int marginY = 100;

void setup() {
  size(720, 440);
  background(0);
  noStroke();
   cp5 = new ControlP5(this);
   
    cp5.addSlider("freq")
     .setPosition(100,10)
     .setSize(150, 25)
     .setRange(0.0,0.5)
     .setValue(0.05)
     ;
     
       cp5.addSlider("amp")
     .setPosition(100,40)
     .setSize(150, 25)
     .setRange(0.0,500)
     .setValue(100)
     ;
}


void draw() {
  if(isGUI){
  cp5.show();
  }else{
  cp5.hide();  
  }
  background(0);
  for (int j = marginY; j <= height-marginY; j += 50) {
    float dia = cos(angle * freq) * 40;
    for (int i = marginX; i <= width-marginX; i += 50) {
      float x = i+cos(angle * freq) * amp;
      float y = j;
      //float y = j+sin(angle * freq) * amp;
      ellipse(x, y, dia, dia);
      angle += 0.25;
    }
  }
  angleOffset+=0.1;
  angle = angleOffset;
}

void keyPressed(){
  
 if(key == 'g'){
  isGUI = !isGUI; 
 }
}